# Range Class Reference
[Common wrapper and helper classes]

Integer's interval implementation and accompanying utility methods. More...

Inheritance diagram for Range:
[legend]

List of all members.

## Public Member Functions

| __construct ($min=null, $max=null)
| setMin ($min=null)
| setMax ($max=null)

## Static Public Member Functions

static | create ($min=null, $max=null)

## Detailed Description

Integer's interval implementation and accompanying utility methods.

Definition at line 17 of file Range.class.php.

## Constructor & Destructor Documentation

Range::__construct | ( | $ | min = `null`,
|  | $ | max = `null` |
| ) |  |  |

Reimplemented from BaseRange.

Definition at line 19 of file Range.class.php.

References BaseRange::$max, BaseRange::$min, and Assert::isInteger().

Here is the call graph for this function:

## Member Function Documentation

static Range::create | ( | $ | min = `null`,
|  | $ | max = `null` |
| ) |  |  | `[static]`

Returns:
  Range

Reimplemented in IntegerSet.

Definition at line 33 of file Range.class.php.

References BaseRange::$max, and BaseRange::$min.

Range::setMax | ( | $ | max = `null` | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  Range

Reimplemented from BaseRange.

Definition at line 56 of file Range.class.php.

References BaseRange::$max, and Assert::isInteger().

Here is the call graph for this function:

Range::setMin | ( | $ | min = `null` | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  Range

Reimplemented from BaseRange.

Definition at line 42 of file Range.class.php.

References BaseRange::$min, and Assert::isInteger().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Base/Range.class.php